Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 4042)
+++ admin/js/common.js	(revision 0)
@@ -583,151 +319,41 @@
 -------------------------------------------------------- */
 $(function() {
-  // Store preinit DATA in dotclear object
-  dotclear.data = dotclear_init;
-  // Get other DATA
-  Object.assign(dotclear, getData('dotclear'));
-  Object.assign(dotclear.msg, getData('dotclear_msg'));
-
-  // remove class no-js from html tag; cf style/default.css for examples
-  $('body').removeClass('no-js').addClass('with-js');
-  $('body').contents().each(function() {
-    if (this.nodeType == 8) {
-      let data = this.data;
-      data = data.replace(/ /g, '&nbsp;').replace(/\n/g, '<br/>');
-      $(`<span class="tooltip" aria-hidden="true">${$('#footer a').prop('title')}${data}</span>`).appendTo('#footer a');
-    }
-  });
-  // manage outgoing links
-  dotclear.outgoingLinks('a');
-  // Popups: dealing with Escape key fired
-  $('#dotclear-admin.popup').keyup(function(e) {
-    if (e.key == 'Escape') {
-      e.preventDefault();
-      window.close();
-      return false;
-    }
-  });
-  // Blog switcher
-  $('#switchblog').change(function() {
-    this.form.submit();
-  });
-  const menu_settings = {
-    img_on_src: dotclear.img_menu_off,
-    img_off_src: dotclear.img_menu_on,
-    legend_click: true,
-    speed: 100
-  };
-  $('#blog-menu h3:first').toggleWithLegend($('#blog-menu ul:first'), $.extend({
-    user_pref: 'dc_blog_menu'
-  }, menu_settings));
-  $('#system-menu h3:first').toggleWithLegend($('#system-menu ul:first'), $.extend({
-    user_pref: 'dc_system_menu'
-  }, menu_settings));
-  $('#plugins-menu h3:first').toggleWithLegend($('#plugins-menu ul:first'), $.extend({
-    user_pref: 'dc_plugins_menu'
-  }, menu_settings));
-  $('#favorites-menu h3:first').toggleWithLegend($('#favorites-menu ul:first'), $.extend({
-    user_pref: 'dc_favorites_menu',
-    hide: false,
-    reverse_user_pref: true
-  }, menu_settings));
-  $('#help').helpViewer();
-  // Notices
-  $('p.success,p.warning,p.error,div.error').each(function() {
-    $(this).addClass('close-notice-parent');
-    $(this).append(`<button class="close-notice" type="button"><img src="images/close.png" alt="${dotclear.msg.close_notice}" /></button>`);
-  });
-  $('button.close-notice').click(function(e) {
-    e.preventDefault();
-    $(this).parent().hide();
-  });
-  // Password
-  $('form:has(input[type=password][name=your_pwd])').submit(function() {
-    const e = this.elements.your_pwd;
-    if (e.value == '') {
-      $(e).addClass('missing').focusout(function() {
-        $(this).removeClass('missing');
-      });
-      e.focus();
-      return false;
-    }
-    return true;
-  });
-  // Cope with ellipsis'ed cells
-  $('table .maximal').each(function() {
-    if (this.offsetWidth < this.scrollWidth) {
-      if (this.title == '') {
-        this.title = this.innerText;
-        $(this).addClass('ellipsis');
-      }
-    }
-  });
-  $('table .maximal.ellipsis a').each(function() {
-    if (this.title == '') {
-      this.title = this.innerText;
-    }
-  });
-  // Advanced users
-  if (dotclear.data.hideMoreInfo) {
-    $('.more-info,.form-note:not(.warn,.warning,.info)').addClass('no-more-info');
-  }
-  // Ajax loader activity indicator
-  if (dotclear.data.showAjaxLoader) {
-    $(document).ajaxStart(function() {
-      $('body').addClass('ajax-loader');
-      $('div.ajax-loader').show();
-    });
-    $(document).ajaxStop(function() {
-      $('body').removeClass('ajax-loader');
-      $('div.ajax-loader').hide();
-    });
-  }
-  // Main menu collapser
-  const objMain = $('#wrapper');
-
-  function showSidebar() {
-    // Show sidebar
-    objMain.removeClass('hide-mm');
-    $.cookie('sidebar-pref', null, {
-      expires: 30
-    });
-  }
-
-  function hideSidebar() {
-    // Hide sidebar
-    objMain.addClass('hide-mm');
-    $.cookie('sidebar-pref', 'hide-mm', {
-      expires: 30
-    });
-  }
-  // Sidebar separator
-  $('#collapser').click(function(e) {
-    e.preventDefault();
-    if (objMain.hasClass('hide-mm')) {
-      showSidebar();
-      $('#main-menu input#qx').focus();
-    } else {
-      hideSidebar();
-      $('#content a.go_home').focus();
-    }
-  });
-  if ($.cookie('sidebar-pref') == 'hide-mm') {
-    objMain.addClass('hide-mm');
-  } else {
-    objMain.removeClass('hide-mm');
-  }
-  // totop scroll
-  $(window).scroll(function() {
-    if ($(this).scrollTop() != 0) {
-      $('#gototop').fadeIn();
-    } else {
-      $('#gototop').fadeOut();
-    }
-  });
-  $('#gototop').click(function(e) {
-    $('body,html').animate({
-      scrollTop: 0
-    }, 800);
-    e.preventDefault();
-  });
+	// Blog switcher
+	$('#switchblog').change(function() {
+		this.form.submit();
+	});
+	
+	var menu_settings = {
+		img_on_src: dotclear.img_menu_off,
+		img_off_src: dotclear.img_menu_on,
+		legend_click: true,
+		speed: 100
+	}
+	$('#blog-menu h3:first').toggleWithLegend($('#blog-menu ul:first'),
+		$.extend({cookie:'dc_blog_menu',hide:false,reverse_cookie:true},menu_settings)
+	);
+	$('#system-menu h3:first').toggleWithLegend($('#system-menu ul:first'),
+		$.extend({cookie:'dc_system_menu'},menu_settings)
+	);
+	$('#plugins-menu h3:first').toggleWithLegend($('#plugins-menu ul:first'),
+		$.extend({cookie:'dc_plugins_menu'},menu_settings)
+	);
+	
+	$('#help').helpViewer();
+	
+	$('.message').backgroundFade({sColor:'#cccccc',eColor:'#666666',steps:20});
+	$('.error').backgroundFade({sColor:'#f5e5e5',eColor:'#e5bfbf',steps:20});
+	
+	$('form:has(input[type=password][name=your_pwd])').submit(function() {
+		var e = this.elements['your_pwd'];
+		if (e.value == '') {
+			e.focus();
+			$(e).backgroundFade({sColor:'#ffffff',eColor:'#ff9999',steps:50},function() {
+				$(this).backgroundFade({sColor:'#ff9999',eColor:'#ffffff'});
+			});
+			return false;
+		}
+		return true;
+	});
 });
+
Index: admin/js/confirm-close.js
===================================================================
--- admin/js/confirm-close.js	(revision 3929)
+++ admin/js/confirm-close.js	(revision 0)
@@ -1,164 +1,122 @@
-/*global chainHandler, getData */
-'use strict';
-
 function confirmClose() {
-  if (arguments.length > 0) {
-    for (let i = 0; i < arguments.length; i++) {
-      this.forms_id.push(arguments[i]);
-    }
-  }
-}
+	
+	if (arguments.length > 0) {
+		for (var i=0; i<arguments.length; i++) {
+			this.forms_id.push(arguments[i]);
+		}
+	}
+};
 
 confirmClose.prototype = {
-  prompt: 'You have unsaved changes.',
-  forms_id: [],
-  forms: [],
-  formSubmit: false,
-
-  getCurrentForms: function() {
-    // Store current form's element's values
-
-    const formsInPage = this.getForms();
-    const This = this;
-    this.forms = [];
-    for (let i = 0; i < formsInPage.length; i++) {
-      const f = formsInPage[i];
-      let tmpForm = [];
-      for (let j = 0; j < f.elements.length; j++) {
-        const e = this.getFormElementValue(f[j]);
-        if (e != undefined) {
-          tmpForm.push(e);
-        }
-      }
-      this.forms.push(tmpForm);
-
-      chainHandler(f, 'onsubmit', function() {
-        This.formSubmit = true;
-      });
-    }
-  },
-
-  compareForms: function() {
-    // Compare current form's element's values to their original values
-    // Return false if any difference, else true
-
-    if (this.forms.length == 0) {
-      return true;
-    }
-
-    const formsInPage = this.getForms();
-    for (let i = 0; i < formsInPage.length; i++) {
-      const f = formsInPage[i];
-      var tmpForm = [];
-      for (let j = 0; j < f.elements.length; j++) {
-        const e = this.getFormElementValue(f[j]);
-        if (e != undefined) {
-          tmpForm.push(e);
-        }
-      }
-      for (let j = 0; j < this.forms[i].length; j++) {
-        if (this.forms[i][j] != tmpForm[j]) {
-          return false;
-        }
-      }
-    }
-
-    return true;
-  },
-
-  getForms: function() {
-    // Get current list of forms as HTMLCollection(s)
-
-    if (!document.getElementsByTagName || !document.getElementById) {
-      return [];
-    }
-
-    if (this.forms_id.length > 0) {
-      let res = [];
-      for (let i = 0; i < this.forms_id.length; i++) {
-        const f = document.getElementById(this.forms_id[i]);
-        if (f != undefined) {
-          res.push(f);
-        }
-      }
-      return res;
-    } else {
-      return document.getElementsByTagName('form');
-    }
-
-    return [];
-  },
-
-  getFormElementValue: function(e) {
-    // Return current value of an form element
-
-    if (e == undefined) {
-      // Unknown object
-      return undefined;
-    }
-    if (e.type != undefined && e.type == 'button') {
-      // Ignore button element
-      return undefined;
-    }
-    if (e.classList.contains('meta-helper') || e.classList.contains('checkbox-helper')) {
-      // Ignore some application helper element
-      return undefined;
-    }
-    if (e.type != undefined && e.type == 'radio') {
-      // Return actual radio button value if selected, else null
-      return this.getFormRadioValue(e);
-    } else if (e.type != undefined && e.type == 'checkbox') {
-      // Return actual checkbox button value if checked, else null
-      return this.getFormCheckValue(e);
-    } else if (e.type != undefined && e.type == 'password') {
-      // Ignore password element
-      return null;
-    } else if (e.value != undefined) {
-      // Return element value if not undefined
-      return e.value;
-    } else {
-      // Every other case, return null
-      return null;
-    }
-  },
-
-  getFormCheckValue: function(e) {
-    if (e.checked) {
-      return e.value;
-    }
-    return null;
-  },
-
-  getFormRadioValue: function(e) {
-    for (let i = 0; i < e.length; i++) {
-      if (e[i].checked) {
-        return e[i].value;
-      } else {
-        return null;
-      }
-    }
-    return null;
-  }
+	prompt: 'You have unsaved changes.',
+	forms_id: new Array(),
+	forms: new Array(),
+	formSubmit: false,
+	
+	getCurrentForms: function() {
+		var formsInPage = this.getForms();
+		var f;
+		var This = this;
+		for (var i=0; i<formsInPage.length; i++) {
+			f = formsInPage[i];
+			var tmpForm = new Array();
+			for (var j=0; j<f.elements.length; j++) {
+				tmpForm.push(this.getFormElementValue(f[j]));
+			}
+			this.forms.push(tmpForm);
+			
+			chainHandler(f,'onsubmit',function() {
+				This.formSubmit = true;
+			});
+		}
+	},
+	
+	compareForms: function() {
+		if (this.forms.length == 0) {
+			return true;
+		}
+		
+		var formsInPage = this.getForms();
+		var f;
+		for (var i=0; i<formsInPage.length; i++) {
+			f = formsInPage[i];
+			for (var j=0; j<f.elements.length; j++) {
+				if (this.forms[i][j] != this.getFormElementValue(f[j])) {
+					return false;
+				}
+			}
+		}
+		
+		return true;
+	},
+	
+	getForms: function() {
+		if (!document.getElementsByTagName || !document.getElementById) {
+			return new Array();
+		}
+		
+		if (this.forms_id.length > 0) {
+			var res = new Array();
+			var f;
+			for (var i=0; i<this.forms_id.length; i++) {
+				f = document.getElementById(this.forms_id[i]);
+				if (f != undefined) {
+					res.push(f);
+				}
+			}
+			return res;
+		} else {
+			return document.getElementsByTagName('form');
+		}
+		
+		return new Array();
+	},
+	
+	getFormElementValue: function(e) {
+		if (e.type != undefined && e.type == 'radio') {
+			return this.getFormRadioValue(e);
+		} else if (e.type != undefined && e.type == 'checkbox') {
+			return this.getFormCheckValue(e);
+		} else if (e.value != undefined) {
+			return e.value;
+		} else {
+			return null;
+		}
+	},
+	
+	getFormCheckValue: function(e) {
+		if (e.checked) {
+			return e.value;
+		}
+		return null;
+	},
+	
+	getFormRadioValue: function(e) {
+		for (var i=0; i <e.length; i++) {
+			if (e[i].checked) {
+				return e[i].value;
+			} else {
+				return null;
+			}
+		}
+		return null;
+	}
 };
 
-let confirmClosePage = new confirmClose();
+var confirmClosePage = new confirmClose();
 
-chainHandler(window, 'onload', function() {
-  confirmClosePage.getCurrentForms();
+chainHandler(window,'onload',function() {
+	confirmClosePage.getCurrentForms();
 });
 
-chainHandler(window, 'onbeforeunload', function(event_) {
-  if (event_ == undefined && window.event) {
-    event_ = window.event;
-  }
-
-  if (!confirmClosePage.formSubmit && !confirmClosePage.compareForms()) {
-    event_.returnValue = confirmClosePage.prompt;
-    return confirmClosePage.prompt;
-  }
-  return false;
+chainHandler(window,'onbeforeunload',function(event_) {
+	if (event_ == undefined && window.event) {
+		event_ = window.event;
+	}
+	
+	if (!confirmClosePage.formSubmit && !confirmClosePage.compareForms()) {
+		event_.returnValue = confirmClosePage.prompt;
+		return confirmClosePage.prompt;
+	}
+	return false;
 });
-
-const confirm_close = getData('confirm_close');
-confirmClose.prototype.prompt = confirm_close.prompt;
-confirmClosePage = new confirmClose(...confirm_close.forms);
